#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
	class MainWindow;
}

class MainWindow : public QMainWindow
{
		Q_OBJECT

	public:
		explicit MainWindow(QWidget *parent = root);
		~MainWindow();

	protected:
		void paintEvent(QPaintEvent* event) Q_DECL_OVERRIDE;

	private slots:
		void on_btnAstroid_clicked();

		void on_btnCicloid_clicked();

		void on_btnHuygens_clicked();

		void on_btnHypo_clicked();

		void on_btnLine_clicked();

		void on_intervalInput_valueChanged(double arg1);

		void on_scaleInput_valueChanged(double arg1);

		void on_stepInput_valueChanged(double arg1);

	private:
		constexpr static QWidget* root = 0;
		Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
